Nfc tags

Register NFC tag after POS Ultralight C provision

POST
/orgs/{organizationId}/nfc-tags/register-provision

Upserts the tag by UID, stores Ultralight C provision metadata, and returns the tag plus a shortened personal URL for NDEF writing.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
uid*string
Match^[A-Z0-9]+$
Length1 <= length
cardKeyHex*string
Match^[0-9a-fA-F]+$
Length32 <= length <= 32
provisionSource*string
Value in"nxp_factory""legacy_master""card_key"
provisionOutcome*string
Value in"provisioned""already_provisioned"
installationId?string
Length1 <= length

Response Body

OK

application/json
  1. response
tag*
personalUrl*string
Formaturi
curl -X POST 'https://api.tillor.eu/orgs/string/nfc-tags/register-provision' \  -H 'Content-Type: application/json' \  -d '{  "uid": "string",  "cardKeyHex": "stringstringstringstringstringst",  "provisionSource": "nxp_factory",  "provisionOutcome": "provisioned"}'
{  "tag": {    "id": "string",    "uid": "string",    "balance": 0,    "customerId": "string",    "blockedAt": "2019-08-24T14:15:22Z",    "metadata": null,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "property1": null,    "property2": null  },  "personalUrl": "http://example.com"}